Skip to main content
POST
/
firework
/
v2
/
assets
/
groups
/
{assets_group_id}
/
alerts
cURL
curl --request POST \
  --url https://api.flare.io/firework/v2/assets/groups/{assets_group_id}/alerts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "email",
  "frequency": 123,
  "start_at": "2023-11-07T05:31:56Z",
  "params": {},
  "name": "<string>",
  "id": 123,
  "feed_url": "<string>",
  "feed_target_type": "assets/groups",
  "feed_target_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "tenant_id": 123,
  "organization_id": 123,
  "search_types": [
    "attachment"
  ],
  "experimental_search_types": [
    "<string>"
  ],
  "risks": [
    123
  ],
  "tenant_alert_channel_id": 123
}
'
import requests

url = "https://api.flare.io/firework/v2/assets/groups/{assets_group_id}/alerts"

payload = {
"type": "email",
"frequency": 123,
"start_at": "2023-11-07T05:31:56Z",
"params": {},
"name": "<string>",
"id": 123,
"feed_url": "<string>",
"feed_target_type": "assets/groups",
"feed_target_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"tenant_id": 123,
"organization_id": 123,
"search_types": ["attachment"],
"experimental_search_types": ["<string>"],
"risks": [123],
"tenant_alert_channel_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'email',
frequency: 123,
start_at: '2023-11-07T05:31:56Z',
params: {},
name: '<string>',
id: 123,
feed_url: '<string>',
feed_target_type: 'assets/groups',
feed_target_id: 123,
created_at: '2023-11-07T05:31:56Z',
tenant_id: 123,
organization_id: 123,
search_types: ['attachment'],
experimental_search_types: ['<string>'],
risks: [123],
tenant_alert_channel_id: 123
})
};

fetch('https://api.flare.io/firework/v2/assets/groups/{assets_group_id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "email",
  "frequency": 123,
  "start_at": "2023-11-07T05:31:56Z",
  "params": {},
  "name": "<string>",
  "id": 123,
  "feed_url": "<string>",
  "feed_target_type": "assets/groups",
  "feed_target_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "tenant_id": 123,
  "organization_id": 123,
  "search_types": [
    "attachment"
  ],
  "experimental_search_types": [
    "<string>"
  ],
  "risks": [
    123
  ],
  "tenant_alert_channel_id": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assets_group_id
integer
required

Body

application/json
type
enum<string>
required
Available options:
email,
channel,
azure_sentinel,
azure_sentinel_v2,
slack,
discord,
splunk,
jira,
teams,
servicenow,
webhook
Example:

"email"

frequency
integer
required
start_at
string<date-time>
required
params
object
required
name
string
id
integer
feed_url
string
feed_target_type
enum<string>
Available options:
assets/groups,
assets,
home
Example:

"assets/groups"

feed_target_id
integer
created_at
string<date-time>
tenant_id
integer
organization_id
integer
search_types
enum<string>[]
Available options:
attachment,
listing,
ransomleak,
forum_post,
forum_topic,
forum_profile,
blog_post,
seller,
paste,
leak,
chat_message,
domain,
bot,
stealer_log,
infected_devices,
driller,
driller_forum_topic,
driller_forum_post,
driller_profile,
cc,
ccbin,
financial_data,
leaked_data,
leaked_file,
document,
account,
actor,
forum_content,
blog_content,
profile,
leaked_credential,
valid_credential,
invalid_credential,
mitigated_credential,
illicit_networks,
open_web,
domains,
intelligence_object,
leaks,
social_media_account,
social_media,
source_code,
source_code_secrets_np,
source_code_secrets,
source_code_files,
docker,
stack_exchange,
google,
service,
driller_host,
buckets,
bucket,
bucket_object,
whois,
ad,
ads,
cookie,
pii,
experimental
experimental_search_types
string[]
risks
integer[]
tenant_alert_channel_id
integer

Response

200 - application/json

Success

type
enum<string>
required
Available options:
email,
channel,
azure_sentinel,
azure_sentinel_v2,
slack,
discord,
splunk,
jira,
teams,
servicenow,
webhook
Example:

"email"

frequency
integer
required
start_at
string<date-time>
required
params
object
required
name
string
id
integer
feed_url
string
feed_target_type
enum<string>
Available options:
assets/groups,
assets,
home
Example:

"assets/groups"

feed_target_id
integer
created_at
string<date-time>
tenant_id
integer
organization_id
integer
search_types
enum<string>[]
Available options:
attachment,
listing,
ransomleak,
forum_post,
forum_topic,
forum_profile,
blog_post,
seller,
paste,
leak,
chat_message,
domain,
bot,
stealer_log,
infected_devices,
driller,
driller_forum_topic,
driller_forum_post,
driller_profile,
cc,
ccbin,
financial_data,
leaked_data,
leaked_file,
document,
account,
actor,
forum_content,
blog_content,
profile,
leaked_credential,
valid_credential,
invalid_credential,
mitigated_credential,
illicit_networks,
open_web,
domains,
intelligence_object,
leaks,
social_media_account,
social_media,
source_code,
source_code_secrets_np,
source_code_secrets,
source_code_files,
docker,
stack_exchange,
google,
service,
driller_host,
buckets,
bucket,
bucket_object,
whois,
ad,
ads,
cookie,
pii,
experimental
experimental_search_types
string[]
risks
integer[]
tenant_alert_channel_id
integer